module DeepSecurity

  class AntiMalwareSpywareItem < TransportObject

    # Represents an Anti-Malware spyware event and contains all properties that belong to the event.

    attr_integer_accessor :anti_malware_quarantined_file_id,
                          "If a file was quarantined as a result of the event, this will contain the ID of the quarantined file"
    attr_integer_accessor :anti_malware_spyware_item_id,
                          "If a this event was the result of spyware, this will point at the ID of the spyware item"
    attr_integer_accessor :host_id,
                          "The host ID this event corresponds to"
    attr_string_accessor :object_info,
                         "File-path, registry key, process name...etc"
    attr_integer_accessor :object_type,
                          "Type identifier for Process, Cookies, File System, System Registry, Shortcut Link, Host File, Other"
    attr_integer_accessor :risk_level,
                          "Risk level gauge Very Low (0), Low (25), Medium(50), High(75), Very High(100)"
    attr_integer_accessor :scan_action,
                           "Scan Action: The action taken upon each spyware items: Pass (1), Delete (2), Quarantined (3), Clean (4), Deny Access (5)"
    attr_integer_accessor :scan_result_action,
                          "Represent whether the action is successful (0) or failed (Error Code)"
    attr_integer_accessor :spyware_type,
                          "Type identifier for Adware, Cookie, Dialer, Keylogger, Trojan, Worm, Downloader, et"


    # cache_by_aspect :id, :name


  end

end
